com.genesyslab.wfm7.API.service.RTA712

## Class AgentAdherenceStruct

- java.lang.Object
- - com.genesyslab.wfm7.API.service.RTA712.AgentAdherenceStruct

- All Implemented Interfaces:
    java.io.Serializable

      public class AgentAdherenceStruct
      extends java.lang.Object
      implements java.io.Serializable

  Contains Adherence Statistics for one agents.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `adherenceState`
    `private int` | `agentID`
    `private java.lang.String` | `firstName`
    `private int` | `genesysStateID`
    `private java.lang.String` | `lastName`
    `private int` | `nonAdherenceTime`
    `private java.lang.String[]` | `reasonCodes`
    `private int` | `reasonCodesSize`
    `private int[]` | `scheduledStateGroupIDs`
    `private int` | `scheduledStateGroupIDsSize`
    `private ShortScheduleStateStruct[]` | `scheduledStates`
    `private int` | `scheduledStatesSize`
    `private double` | `shiftEnd`
    `private double` | `shiftStart`
    `private int` | `siteID`
    `private int` | `teamID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentAdherenceStruct()`
    `AgentAdherenceStruct(int agentID, java.lang.String firstName, java.lang.String lastName, int siteID, int teamID, double shiftStart, double shiftEnd, int adherenceState, int nonAdherenceTime, int scheduledStatesSize, ShortScheduleStateStruct[] scheduledStates, int scheduledStateGroupIDsSize, int[] scheduledStateGroupIDs, int genesysStateID, int reasonCodesSize, java.lang.String[] reasonCodes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getAdherenceState()` Gets the adherence State.
    `int` | `getAgentID()` Gets the agent ID.
    `java.lang.String` | `getFirstName()` Gets the agent first name.
    `int` | `getGenesysStateID()` Gets the current agent Genesys state.
    `java.lang.String` | `getLastName()` Gets the agent last Name.
    `int` | `getNonAdherenceTime()` Gets the time in non-adherence.
    `java.lang.String[]` | `getReasonCodes()` Gets the reason Codes array.
    `int` | `getReasonCodesSize()` Gets the number of reason codes.
    `int[]` | `getScheduledStateGroupIDs()` Gets scheduled state groups according to scheduled states.
    `int` | `getScheduledStateGroupIDsSize()` Gets the number of elements in the scheduled groups array.
    `ShortScheduleStateStruct[]` | `getScheduledStates()` Gets the scheduled states.
    `int` | `getScheduledStatesSize()` Gets the number of elements in the scheduled states array.
    `double` | `getShiftEnd()` Gets the shift End time.
    `double` | `getShiftStart()` Gets the shift Start time.
    `int` | `getSiteID()` Gets the site ID.
    `int` | `getTeamID()` Gets the team ID.
    `int` | `hashCode()`
    `void` | `setAdherenceState(int adherenceState)` Sets the adherence State.
    `void` | `setAgentID(int agentID)` Sets the agent ID.
    `void` | `setFirstName(java.lang.String firstName)` Sets the agent first Name.
    `void` | `setGenesysStateID(int genesysStateID)` Sets the current agent Genesys state..
    `void` | `setLastName(java.lang.String lastName)` Sets the agent last Name.
    `void` | `setNonAdherenceTime(int nonAdherenceTime)` Sets the time in non-adherence.
    `void` | `setReasonCodes(java.lang.String[] reasonCodes)` Sets the reason Codes.
    `void` | `setReasonCodesSize(int reasonCodesSize)` Sets the number of reason codes.
    `void` | `setScheduledStateGroupIDs(int[] scheduledStateGroupIDs)` Sets scheduled state groups according to scheduled states.
    `void` | `setScheduledStateGroupIDsSize(int scheduledStateGroupIDsSize)` Sets number of elements in the scheduled groups array.
    `void` | `setScheduledStates(ShortScheduleStateStruct[] scheduledStates)` Sets the scheduled states.
    `void` | `setScheduledStatesSize(int scheduledStatesSize)` Sets the number of elements in the scheduled states array.
    `void` | `setShiftEnd(double shiftEnd)` Sets the shift End time.
    `void` | `setShiftStart(double shiftStart)` Sets the shift Start time.
    `void` | `setSiteID(int siteID)` Sets the site ID.
    `void` | `setTeamID(int teamID)` Sets the team ID.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### agentID

          private int agentID

    - #### firstName

          private java.lang.String firstName

    - #### lastName

          private java.lang.String lastName

    - #### siteID

          private int siteID

    - #### teamID

          private int teamID

    - #### shiftStart

          private double shiftStart

    - #### shiftEnd

          private double shiftEnd

    - #### adherenceState

          private int adherenceState

    - #### nonAdherenceTime

          private int nonAdherenceTime

    - #### scheduledStatesSize

          private int scheduledStatesSize

    - #### scheduledStates

          private ShortScheduleStateStruct[] scheduledStates

    - #### scheduledStateGroupIDsSize

          private int scheduledStateGroupIDsSize

    - #### scheduledStateGroupIDs

          private int[] scheduledStateGroupIDs

    - #### genesysStateID

          private int genesysStateID

    - #### reasonCodesSize

          private int reasonCodesSize

    - #### reasonCodes

          private java.lang.String[] reasonCodes

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### AgentAdherenceStruct

          public AgentAdherenceStruct()

    - #### AgentAdherenceStruct

          public AgentAdherenceStruct(int agentID,
                              java.lang.String firstName,
                              java.lang.String lastName,
                              int siteID,
                              int teamID,
                              double shiftStart,
                              double shiftEnd,
                              int adherenceState,
                              int nonAdherenceTime,
                              int scheduledStatesSize,
                              ShortScheduleStateStruct[] scheduledStates,
                              int scheduledStateGroupIDsSize,
                              int[] scheduledStateGroupIDs,
                              int genesysStateID,
                              int reasonCodesSize,
                              java.lang.String[] reasonCodes)

  - ### Method Detail

    - #### getAgentID

          public int getAgentID()

      Gets the agent ID.
      Returns:
        agentID

    - #### setAgentID

          public void setAgentID(int agentID)

      Sets the agent ID.
      Parameters:
        `agentID` -

    - #### getFirstName

          public java.lang.String getFirstName()

      Gets the agent first name.
      Returns:
        firstName

    - #### setFirstName

          public void setFirstName(java.lang.String firstName)

      Sets the agent first Name.
      Parameters:
        `firstName` -

    - #### getLastName

          public java.lang.String getLastName()

      Gets the agent last Name.
      Returns:
        lastName

    - #### setLastName

          public void setLastName(java.lang.String lastName)

      Sets the agent last Name.
      Parameters:
        `lastName` -

    - #### getSiteID

          public int getSiteID()

      Gets the site ID.
      Returns:
        siteID

    - #### setSiteID

          public void setSiteID(int siteID)

      Sets the site ID.
      Parameters:
        `siteID` -

    - #### getTeamID

          public int getTeamID()

      Gets the team ID.
      Returns:
        teamID

    - #### setTeamID

          public void setTeamID(int teamID)

      Sets the team ID.
      Parameters:
        `teamID` -

    - #### getShiftStart

          public double getShiftStart()

      Gets the shift Start time.
      Returns:
        shiftStart

    - #### setShiftStart

          public void setShiftStart(double shiftStart)

      Sets the shift Start time.
      Parameters:
        `shiftStart` -

    - #### getShiftEnd

          public double getShiftEnd()

      Gets the shift End time.
      Returns:
        shiftEnd

    - #### setShiftEnd

          public void setShiftEnd(double shiftEnd)

      Sets the shift End time.
      Parameters:
        `shiftEnd` -

    - #### getAdherenceState

          public int getAdherenceState()

      Gets the adherence State. Adherence states:
      0 - adhering
      1 - non-adhering
      2 - severely non-adhering
      3 - no schedule
      4 - agent unknown.
      Returns:
        adherenceState

    - #### setAdherenceState

          public void setAdherenceState(int adherenceState)

      Sets the adherence State. Adherence states:
      0 - adhering
      1 - non-adhering
      2 - severely non-adhering
      3 - no schedule
      4 - agent unknown.
      Parameters:
        `adherenceState` -

    - #### getNonAdherenceTime

          public int getNonAdherenceTime()

      Gets the time in non-adherence.
      Returns:
        nonAdherenceTime

    - #### setNonAdherenceTime

          public void setNonAdherenceTime(int nonAdherenceTime)

      Sets the time in non-adherence.
      Parameters:
        `nonAdherenceTime` -

    - #### getScheduledStatesSize

          public int getScheduledStatesSize()

      Gets the number of elements in the scheduled states array.
      Returns:
        scheduledStatesSize

    - #### setScheduledStatesSize

          public void setScheduledStatesSize(int scheduledStatesSize)

      Sets the number of elements in the scheduled states array.
      Parameters:
        `scheduledStatesSize` -

    - #### getScheduledStates

          public ShortScheduleStateStruct[] getScheduledStates()

      Gets the scheduled states.
      Returns:
        scheduledStates

    - #### setScheduledStates

          public void setScheduledStates(ShortScheduleStateStruct[] scheduledStates)

      Sets the scheduled states.
      Parameters:
        `scheduledStates` -

    - #### getScheduledStateGroupIDsSize

          public int getScheduledStateGroupIDsSize()

      Gets the number of elements in the scheduled groups array.
      Returns:
        scheduledStateGroupIDsSize

    - #### setScheduledStateGroupIDsSize

          public void setScheduledStateGroupIDsSize(int scheduledStateGroupIDsSize)

      Sets number of elements in the scheduled groups array.
      Parameters:
        `scheduledStateGroupIDsSize` -

    - #### getScheduledStateGroupIDs

          public int[] getScheduledStateGroupIDs()

      Gets scheduled state groups according to scheduled states.
      Returns:
        scheduledStateGroupIDs

    - #### setScheduledStateGroupIDs

          public void setScheduledStateGroupIDs(int[] scheduledStateGroupIDs)

      Sets scheduled state groups according to scheduled states.
      Parameters:
        `scheduledStateGroupIDs` -

    - #### getGenesysStateID

          public int getGenesysStateID()

      Gets the current agent Genesys state.
      -1 if current state is undefined due to lost connection to StatServer or because agent is unknown to StatServer
      Returns:
        genesysStateID

    - #### setGenesysStateID

          public void setGenesysStateID(int genesysStateID)

      Sets the current agent Genesys state..
      Parameters:
        `genesysStateID` -

    - #### getReasonCodesSize

          public int getReasonCodesSize()

      Gets the number of reason codes.
      Returns:
        reasonCodesSize

    - #### setReasonCodesSize

          public void setReasonCodesSize(int reasonCodesSize)

      Sets the number of reason codes.
      Parameters:
        `reasonCodesSize` -

    - #### getReasonCodes

          public java.lang.String[] getReasonCodes()

      Gets the reason Codes array.
      Returns:
        reasonCodes

    - #### setReasonCodes

          public void setReasonCodes(java.lang.String[] reasonCodes)

      Sets the reason Codes.
      Parameters:
        `reasonCodes` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.